Bug 1410740 - Calendar broken in Thunderbird 45.6.0-2
Summary: Calendar broken in Thunderbird 45.6.0-2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 10:18 UTC by Steve Bryant
Modified: 2017-01-14 05:19 UTC (History)
3 users (show)

Fixed In Version: thunderbird-45.6.0-3.fc25 thunderbird-45.6.0-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 05:24:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Bryant 2017-01-06 10:18:35 UTC
Description of problem:
Attempting to add or modify a calendar event produces an error pop-up with the following text:

XML Parsing Error: undefined entity
Location: chrome://calendar/content/calendar-event-dialog.xul
Line Number 1216, Column 23:                      <checkbox id="notify-attendees-checkbox"
----------------------^

The calendar appears to have hung on opening - cursor shows continuous activity when over the calendar.

Version-Release number of selected component (if applicable):
thunderbird-45.6.0-2.fc25.x86_64

How reproducible:
Upgrade Thunderbird to the above version.

Steps to Reproduce:
1. Upgrade to thunderbird-45.6.0-2.fc25.x86_64
2.
3.

Actual results:
Calendar events cannot be created or edited.

Expected results:
Calendar events respond without error.

Additional info:
See bug 1330427 where an error with similar symptoms occurred.

Comment 1 Jan Horak 2017-01-06 15:42:28 UTC
Thanks for the report, seems that langpacks for calendar was wrongly generated. I'm currently doing new builds. Please stay tuned for updated packages.

Comment 2 Fedora Update System 2017-01-09 08:13:55 UTC
thunderbird-45.6.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-db33e6c6f4

Comment 3 Fedora Update System 2017-01-09 08:14:00 UTC
thunderbird-45.6.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e4a42d809

Comment 4 Fedora Update System 2017-01-10 03:22:46 UTC
thunderbird-45.6.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e4a42d809

Comment 5 Fedora Update System 2017-01-10 03:27:19 UTC
thunderbird-45.6.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-db33e6c6f4

Comment 6 Steve Bryant 2017-01-10 09:38:07 UTC
thunderbird-45.6.0-3.fc25.x86_64 does not fix the issue for me with when LANG=en_GB.utf8.

Still need to launch with "LANG=en_US.utf8 thunderbird", which causes times to be displayed using AM/PM format rather than 24hr.

Comment 7 Steve Bryant 2017-01-10 10:59:19 UTC
Update - thunderbird-45.6.0-3.fc25.x86_64 calendar works with a clean profile, so replacing the "Lightning" extension files in my profile with those from a clean profile fixed my issue.

Comment 8 Jan Horak 2017-01-10 11:36:19 UTC
Oh, sorry for troubles, thanks for letting me know, I didn't know that this problem can persist in profile.

Comment 9 Fedora Update System 2017-01-12 05:24:33 UTC
thunderbird-45.6.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-14 05:19:23 UTC
thunderbird-45.6.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.